//
//  XYMarkerView.swift
//  ChartsDemo
//  Copyright © 2016 dcg. All rights reserved.
//

import Foundation
import Charts

open class XYMarkerView: BalloonMarker
{
    @objc open var xAxisValueFormatter: IAxisValueFormatter?
    fileprivate var yFormatter = NumberFormatter()
    
    @objc public init(color: UIColor, font: UIFont, textColor: UIColor, insets: UIEdgeInsets,
                      xAxisValueFormatter: IAxisValueFormatter)
    {
        super.init(color: color, font: font, textColor: textColor, insets: insets)
        self.xAxisValueFormatter = xAxisValueFormatter
    }
    
    open override func refreshContent(entry: ChartDataEntry, highlight: Highlight)
    {
        var dataType : String
        var dataUnit : String
        switch self.chartType {
        case 0:
            dataType = "Clients: "
            dataUnit = ""
            break
        case 1:
            dataType = "Traffic: "
            dataUnit = " KBPS"
            enableFractionalValue()
            break
        case 2:
            dataType = "Traffic: "
            dataUnit = " MBPS"
            enableFractionalValue()
            break
        case 3:
            dataType = "Traffic: "
            dataUnit = " GBPS"
            enableFractionalValue()
            break
        case 4:
            dataType = "CPU Usage: "
            dataUnit = " %"
            enableFractionalValue()
            break
        case 5:
            dataType = "Memory Usage: "
            dataUnit = " KB"
            enableFractionalValue()
            break
        case 6:
            dataType = "Memory Usage: "
            dataUnit = " MB"
            enableFractionalValue()
            break
        case 7:
            dataType = "Memory Usage: "
            dataUnit = " GB"
            enableFractionalValue()
            break
        case 8:
            dataType = "Memory Usage: "
            dataUnit = " TB"
            enableFractionalValue()
            break
        case 9:
            dataType = "Port Usage: "
            dataUnit = " KB"
            enableFractionalValue()
            break
        case 10:
            dataType = "Port Usage: "
            dataUnit = " MB"
            enableFractionalValue()
            break
        case 11:
            dataType = "Port Usage: "
            dataUnit = " GB"
            enableFractionalValue()
            break
        case 12:
            dataType = "Port Usage: "
            dataUnit = " TB"
            enableFractionalValue()
            break
        case 13 :
            dataType = "Traffic: "
            dataUnit = " KB"
            enableFractionalValue()
            break
        case 14:
            dataType = "Traffic: "
            dataUnit = " MB"
            enableFractionalValue()
            break
        case 15:
            dataType = "Traffic: "
            dataUnit = " GB"
            enableFractionalValue()
            break
        case 16:
            dataType = "Traffic: "
            dataUnit = " TB"
            enableFractionalValue()
            break
        default:
            dataType = "Value: "
            dataUnit = ""
        }
        
        let dataValue = yFormatter.string(from: NSNumber(floatLiteral: abs(entry.y)))!
        
        setLabel("  " + xAxisValueFormatter!.stringForValue(entry.x, axis: nil) + "\n  " + dataType + dataValue as String + dataUnit)
    }
    
    /// Set yAxis values to be formatted with fractional part
    open func enableFractionalValue() {
        yFormatter.maximumFractionDigits = 1;
        yFormatter.minimumFractionDigits = 1;
        yFormatter.minimumIntegerDigits = 1;
    }
}

